petsc-3.4.2 2013-07-02

# PCMGSetGalerkin

Causes the coarser grid matrices to be computed from the finest grid via the Galerkin process: A_i-1 = r_i * A_i * r_i^t

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetGalerkin(PC pc,PetscBool use)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| use | - PETSC_TRUE to use the Galerkin process to compute coarse-level operators

### Options Database Key

     -pc_mg_galerkin

### Keywords

MG, set, Galerkin

### See Also

PCMGGetGalerkin()

Level:intermediate
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html